Bug 861660 - f16 using a usb-serial adapter on a hub and then removing both adapter and hub makes using a 3G Modem (Huawei E173s) unusable on the other port (workaround: reboot or power-cycle)
f16 using a usb-serial adapter on a hub and then removing both adapter and hu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 16:22 EDT by Reartes Guillermo
Modified: 2013-02-13 08:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:57:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f16 messages example #1 (265.71 KB, application/octet-stream)
2012-09-29 16:22 EDT, Reartes Guillermo
no flags Details
f16 dmesg from example #1 (95.49 KB, text/plain)
2012-09-29 16:24 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-09-29 16:22:49 EDT
Created attachment 619185 [details]
f16 messages example #1

Description of problem:

Normally, the modem mostly works. It is not perfect but it is usable these days.
But i have found that this can happen:

Network Manager (using KDE Applet) does not see the attached
3G Modem (Huawei E173s-6) if the following was performed:

* Plug an usb 2.0 HUB on the other port
* Plug an USB-SERIAL adapter on such HUB
* Open and Close minicom (using the serial port)

After doing that, there is not possible to use the 3G modem.
The serial devices are detected, but the modem does not appear
to be able to use it.


Version-Release number of selected component (if applicable):

kernel: 3.4.11-1.fc16.x86_64
NetworkManager.x86_64         1:0.9.4-6.git20120521.fc16  @updates     
NetworkManager-glib.x86_64    1:0.9.4-6.git20120521.fc16  @updates
NetworkManager-openvpn.x86_64 1:0.9.0-1.fc16  @koji-override-0/$releasever
NetworkManager-pptp.x86_64    1:0.9.0-1.fc16  @koji-override-0/$releasever
NetworkManager-vpnc.x86_64    1:0.9.0-1.fc16  @koji-override-0/$releasever


How reproducible:
always

Steps to Reproduce:
1. plug 3g modem on usb port #1, connect, disconnect, unplug
2. plug an usb 2.0 HUB on port #2
3. plug an usb-serial adapter to one of the usb 2.0 HUB attached
to port #2. 
4. open minicom whith the usb-serial serial device, then close minicom
5. remove usb-serial adapter from the HUB
6. remove the HUB
7. plug the 3g modem again on usb port #1, it is not possible to connect now.

Actual results:
productivity loss.
Sometimes, i have firefox opened with up to 50 pages (mostly technical documentation) and i sometimes need to download something (like a firmware
or a patch) and i will not be able to reopen all tabs. It is really 
annoying to be forced to reboot at such times. 

Expected results:
3G modem should work as normally do. 

Additional info:
Comment 1 Reartes Guillermo 2012-09-29 16:24:19 EDT
Created attachment 619186 [details]
f16 dmesg from example #1

EXP1: (Example One)

"plug" means to put the 3g modem on usb port1.

------------------

boot
plug
connect
disconnect
unplug
plug
connect
disconnect
unplug
<SUSPEND>
<RESUME>
plug
connect
disconnect
unplug
plug
connect
disconnect
unplug
plug an usb2.0 hub on port2
plug
connect
disconnect
unplug
plug an usb2serail on hub's port (hub is connected to usb port2)
open minicom to such port
close previous minicom
disconnect usb2serial
disconnect usb2.0 hub
plug
<KDE Network Manager Applet does not see the modem>

* The serial devices are detected ok.
Comment 2 Reartes Guillermo 2012-11-15 13:10:47 EST
I re-tested this again and it still happens on this laptop, at least.
I tried but failed to reproduce it on another system with a different Fedora.

HOST#1: DELL E4310 + F16 (3.6.6-1.fc16.x86_64)

<< AFFECTED SYSTEM >>

Steps to Reproduce:

1. plug 3g modem on ANY usb port (example using usb port #1)
2. check for /dev/ttyUSB* device files: YES
3. check that the modem shows in NetworkManager: YES
4. unplug the 3g modem

5. plug the usb hub on ANY usb port (example using usb port#1)
6. plug a USB-SERIAL ADAPTER on any usb ports located on the usb hub recently plugged in
7. check for /dev/ttyUSB* device files: YES
8. Launch minicom over such serial port, then close minicom.
9. unplug the USB-SERIAL-ADAPTER from the usb hub, then unplug the hub.

10. plug the 3g modem on any usb port (example #2)
11. check for /dev/ttyUSB* device files: YES
12. check that the modem shows in NetworkManager: NO

On this system, in order to use the 3G MODEM, one must REBOOT or POWER-CYCLE to
regain functionality.


HOST#2: MSI WIND U100 + F18b TCx (3.6.6-3.fc18.i686.PAE)

<<THIS SYSTEM IS NOT AFFECTED >>

Problem NOT reproduced:

1. plug 3g modem on ANY usb port (example using usb port #1)
2. check for /dev/ttyUSB* device files: YES 
3. check that the modem shows in NetworkManager: YES
4. unplug the 3g modem

5. plug the usb hub on ANY usb port (example using usb port#1)
6. plug a USB-SERIAL ADAPTER on any usb ports located on the usb hub recently plugged in
7. check for /dev/ttyUSB* device files: YES
8. Launch minicom over such serial port, then close minicom.
9. unplug the USB-SERIAL-ADAPTER from the usb hub, then unplug the hub.

10. plug the 3g modem on any usb port (example #2)
11. check for /dev/ttyUSB* device files: YES
12. check that the modem shows in NetworkManager: YES
Comment 3 Fedora End Of Life 2013-01-16 08:14:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 08:57:06 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.